@csrf
<div class="px-5 py-4">
    <div class="text-sm">
        <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
        </div>
        <ul id="error-list" class="text-red-500 mb-3"></ul>
    </div>

    <div class="space-y-3">

        @if(Auth::user()->role !='staff')
        <!-- Select -->
        <!-- <div>
            <label class="block text-sm font-medium mb-1" for="shop_id">Shop</label>
            <select name="shop_id" class="form-select w-full">
                <option value="">Select Unit</option>
                @if($prouctionUnits)
                    @foreach($prouctionUnits as $row)
                    <option value='{{$row->id}}'>{{$row->name}} ({{$row->location}})</option>
                    @endforeach
                @endif
            </select>
        </div> -->
        @else
            <input id="shop_id" name="shop_id" class="form-input w-full px-2 py-1" type="hidden" value="{{Auth::user()->shop_id}}" />
        @endif

        <div>
            <label class="block text-sm font-medium mb-1" for="lender_name">Name
                <span class="text-red-500">*</span></label>
            <input id="lender_name" name="lender_name" value='' class="form-input w-full px-2 py-1" type="text" />
        </div>
        <div>
            <label class="block text-sm font-medium mb-1" for="phone">Phone
                <span class="text-red-500">*</span></label>
            <input id="phone" name="phone" value="" class="form-input w-full px-2 py-1" type="text" />
        </div>

        <div>
            <label class="block text-sm font-medium mb-1" for="email">Email</label>
            <input id="email" name="email" value="" class="form-input w-full px-2 py-1" type="text" />
        </div>

        <div>
            <label class="block text-sm font-medium mb-1" for="address">Address</label>
            <textarea id="address" name="address" value="" class="form-textarea w-full px-2 py-1"></textarea>
        </div>
    </div>
</div>
<!-- Modal footer -->
<div class="px-5 py-4 border-t border-gray-200 dark:border-gray-700/60">
    <div class="flex flex-wrap justify-end space-x-2">
        <button
            class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
        <button type="submit"
            class="btn-sm bg-gray-900 text-gray-100 hover:bg-gray-800 dark:bg-gray-100 dark:text-gray-800 dark:hover:bg-white">Save</button>
    </div>
</div>