@csrf
<input type="hidden" name="id" id="product_id" value="{{ $product->id }}">
<div class="px-5 py-4">
<div class="text-sm">
    <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
    </div>
    <ul id="error-list" class="text-red-500 mb-3"></ul>
</div>

<div class="space-y-3">
<div>
        <label class="block text-sm font-medium mb-1"
            for="part_no">Part No
            <span class="text-red-500">*</span></label>
        <input id="part_no" name="part_no" value='{{$product->part_no}}'
            class="form-input w-full px-2 py-1" type="text" />
    </div>

    <div>
        <label class="block text-sm font-medium mb-1"
            for="part_name">Part Name
            <span class="text-red-500">*</span></label>
        <input id="part_name" name="part_name" value='{{$product->part_name}}'
            class="form-input w-full px-2 py-1" type="text" />
    </div>

    <div>
        <label class="block text-sm font-medium mb-1"
            for="category_id">Category
            <span class="text-red-500">*</span></label>
        <select id="category_id" name="category_id" class="form-select w-full px-2 py-1">
            <option value="">Select Category</option>
            @if($categories)
                @foreach($categories as $category)
                    <option @if($product->category_id==$category->id) selected @endif value="{{$category->id}}">{{$category->cat_name}}</option>
                @endforeach
            @endif
        </select>
    </div>


    <div>
        <label class="block text-sm font-medium mb-1"
            for="cost_price">Cost Price
            <span class="text-red-500">*</span></label>
        <input id="cost_price" name="cost_price"
            value="{{$product->cost_price}}"
            class="form-input w-full px-2 py-1" type="text"
            />
    </div>

    <div>
        <label class="block text-sm font-medium mb-1"
            for="price">Price
            <span class="text-red-500">*</span></label>
        <input id="price" name="price"
            value="{{$product->price}}"
            class="form-input w-full px-2 py-1" type="text"
            />
    </div>

</div>
</div>
<!-- Modal footer -->
<div class="px-5 py-4 border-t border-gray-200 dark:border-gray-700/60">
<div class="flex flex-wrap justify-end space-x-2">
    <button
        class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
    <button type="submit"
        class="btn-sm bg-gray-900 text-gray-100 hover:bg-gray-800 dark:bg-gray-100 dark:text-gray-800 dark:hover:bg-white">Update</button>
</div>
</div>