<!DOCTYPE html>
<html lang="<?php echo e(config('app.locale')); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title>
        <?php echo e(config('app.name')); ?>

        <?php if (! empty(trim($__env->yieldContent('title')))): ?>
            - <?php echo $__env->yieldContent('title'); ?>
        <?php endif; ?>
    </title>

    <link rel="shortcut icon" href="<?php echo e(asset('favicon.ico')); ?>" type="image/x-icon">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">

    <?php echo $__env->yieldPushContent('top_css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css?_=' . rand())); ?>">

    <script src="https://cdn.jsdelivr.net/npm/jquery@3.6.0/dist/jquery.min.js"></script>
    <?php echo app('Tightenco\Ziggy\BladeRouteGenerator')->generate(); ?>
</head>

<body class="font-sans antialiased bg-gray-100">
    <main class="py-12">
        <?php echo $__env->yieldContent('content'); ?>
    </main>

    <?php echo $__env->yieldPushContent('bottom_js'); ?>
</body>
</html>
<?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/layouts/auth.blade.php ENDPATH**/ ?>