<?php if (isset($component)) { $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\AppLayout::class, []); ?>
<?php $component->withName('app-layout'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
    <?php $__env->startSection('title', 'Dashboard'); ?>

    <?php if(session('roleName') != 'dropshipper'): ?>
        <div class="w-full overflow-hidden col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                    <svg xmlns="http://www.w3.org/2000/svg" width="26" height="26" fill="currentColor" class="bi bi-archive" viewBox="0 0 16 16">
                        <path d="M0 2a1 1 0 0 1 1-1h14a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 12.5V5a1 1 0 0 1-1-1V2zm2 3v7.5A1.5 1.5 0 0 0 3.5 14h9a1.5 1.5 0 0 0 1.5-1.5V5H2zm13-3H1v2h14V2zM5 7.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </div>
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="text-md text-gray-500">Total Orders Today</div>
                    <div class="font-bold text-xl">
                        <?php if(isset($series_data['orders_today'])): ?> <?php echo e($series_data['orders_today']); ?><?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-full overflow-hidden col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                    <svg xmlns="http://www.w3.org/2000/svg" width="26" height="26" fill="currentColor" class="bi bi-archive" viewBox="0 0 16 16">
                        <path d="M0 2a1 1 0 0 1 1-1h14a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 12.5V5a1 1 0 0 1-1-1V2zm2 3v7.5A1.5 1.5 0 0 0 3.5 14h9a1.5 1.5 0 0 0 1.5-1.5V5H2zm13-3H1v2h14V2zM5 7.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </div>
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="text-md text-gray-500">Orders To Process</div>
                    <div class="font-bold text-xl">
                        <?php if(isset($series_data['orderPurchaseTotalProcess'])): ?><?php echo e($series_data['orderPurchaseTotalProcess']); ?><?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-full overflow-hidden col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                    <svg xmlns="http://www.w3.org/2000/svg" width="26" height="26" fill="currentColor" class="bi bi-archive" viewBox="0 0 16 16">
                        <path d="M0 2a1 1 0 0 1 1-1h14a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 12.5V5a1 1 0 0 1-1-1V2zm2 3v7.5A1.5 1.5 0 0 0 3.5 14h9a1.5 1.5 0 0 0 1.5-1.5V5H2zm13-3H1v2h14V2zM5 7.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </div>
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="text-md text-gray-500">Orders</div>
                    <div class="font-bold text-xl">
                        <?php if(isset($series_data['shipmentsTotal'])): ?><?php echo e($series_data['shipmentsTotal']); ?><?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-full overflow-hidden col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                    <svg xmlns="http://www.w3.org/2000/svg" width="26" height="26" fill="currentColor" class="bi bi-archive" viewBox="0 0 16 16">
                        <path d="M0 2a1 1 0 0 1 1-1h14a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 12.5V5a1 1 0 0 1-1-1V2zm2 3v7.5A1.5 1.5 0 0 0 3.5 14h9a1.5 1.5 0 0 0 1.5-1.5V5H2zm13-3H1v2h14V2zM5 7.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </div>
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="text-md text-gray-500">Low Stock Total</div>
                    <div class="font-bold text-xl">
                        <?php if(isset($series_data['total_low_stock'])): ?><?php echo e($series_data['total_low_stock']); ?><?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-full overflow-hidden col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                    <svg xmlns="http://www.w3.org/2000/svg" width="26" height="26" fill="currentColor" class="bi bi-archive" viewBox="0 0 16 16">
                        <path d="M0 2a1 1 0 0 1 1-1h14a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 12.5V5a1 1 0 0 1-1-1V2zm2 3v7.5A1.5 1.5 0 0 0 3.5 14h9a1.5 1.5 0 0 0 1.5-1.5V5H2zm13-3H1v2h14V2zM5 7.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </div>
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="text-md text-gray-500">Out of Stock Total</div>
                    <div class="font-bold text-xl">
                        <?php if(isset($series_data['total_out_of_stock'])): ?><?php echo e($series_data['total_out_of_stock']); ?><?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <div class="w-full overflow-hidden col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                    <svg xmlns="http://www.w3.org/2000/svg" width="26" height="26" fill="currentColor" class="bi bi-archive" viewBox="0 0 16 16">
                        <path d="M0 2a1 1 0 0 1 1-1h14a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1v7.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 12.5V5a1 1 0 0 1-1-1V2zm2 3v7.5A1.5 1.5 0 0 0 3.5 14h9a1.5 1.5 0 0 0 1.5-1.5V5H2zm13-3H1v2h14V2zM5 7.5a.5.5 0 0 1 .5-.5h5a.5.5 0 0 1 0 1h-5a.5.5 0 0 1-.5-.5z"/>
                    </svg>
                </div>
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="text-md text-gray-500">Defect Stock Total</div>
                    <div class="font-bold text-xl">
                        <?php if(isset($series_data['defect_stock'])): ?><?php echo e($series_data['defect_stock']); ?><?php endif; ?>
                    </div>
                </div>
            </div>
        </div>

        <style type="text/css">
            .chart{
                height: 400px;
                width:600px;
                margin: 0 auto;
                overflow-y: hidden;
            }
            .history{
                max-height: 700px;overflow-y: scroll;
            }
        </style>

        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.card','data' => ['title' => 'Daily Summary','md' => '8']]); ?>
<?php $component->withName('card'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['title' => 'Daily Summary','md' => '8']); ?>
            <div class="overflow-x-auto">
                <div id="lineChartContainer" class="chart"></div>
            </div>
         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

        <div class="w-full col-span-12 md:col-span-4 history">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="font-bold text-xl">Last Changes</div>
                </div>
            </div>
            <?php if(isset($last_changes)): ?>
                <?php $__currentLoopData = $last_changes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $arrItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="flex flex-row w-full bg-white shadow-sm rounded p-4 mt-4">
                        <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                            <img class="w-1/2" src="<?php echo e(isset($arrItem->product->image) && file_exists(public_path($arrItem->product->image)) ? asset($arrItem->product->image) : asset('No-Image-Found.png')); ?>">
                        </div>
                        <div class="flex flex-col justify-center flex-grow ml-4">
                            <div class="text-gray-700"><?php echo e($arrItem->product->part_name); ?>  </div>
                            <div class="text-blue-600">
                                <?php echo e(isset($arrItem->product->part_no) ? $arrItem->product->part_no : ''); ?>

                            </div>
                            <div class="font-bold text-sl">
                                <?php if($arrItem->str_in_out == 'Add'): ?> Qty: <?php echo e($arrItem->main_stock->quantity ?? 0); ?>  (+<?php echo e($arrItem->quantity ?? 0); ?>)<?php endif; ?>
                                <?php if($arrItem->str_in_out == 'Remove'): ?> Qty: <?php echo e($arrItem->main_stock->quantity ?? 0); ?>  (-<?php echo e($arrItem->quantity ?? 0); ?>)<?php endif; ?>
                            </div>
                            <div class="font-500 text-sl">
                                Created at :<?php echo e(date("Y-m-d H:i:s", strtotime($arrItem->date))); ?>

                            </div>
                            <div class="font-500 text-sl">
                                User : <?php echo e(isset($arrItem->seller->name) ? $arrItem->seller->name : ''); ?>

                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </div>

        <div class="w-full col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="font-bold text-l">Top 5 Highest Stock</div>
                </div>
            </div>
            <?php if(isset($top_five_stock)): ?>
                <?php $__currentLoopData = $top_five_stock; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $arrItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="flex flex-row w-full bg-white shadow-sm rounded p-4 mt-4">
                        <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                            <img class="w-1/2" src="<?php echo e(isset($arrItem->product->image) && file_exists(public_path($arrItem->product->image)) ? asset($arrItem->product->image) : asset('No-Image-Found.png')); ?>">
                        </div>
                        <div class="flex flex-col justify-center flex-grow ml-4">
                            <div class="text-gray-700 "><?php echo e(isset($arrItem->product->part_name) ? $arrItem->product->part_name : ''); ?></div>
                            <div class="text-blue-600">
                                <?php echo e(isset($arrItem->product->part_no) ? $arrItem->product->part_no : ''); ?>

                            </div>
                            <div class="text-sl">
                                Qty:
                                <span class="font-bold"><?php echo e(isset($arrItem->quantity) ? $arrItem->quantity : ''); ?></span>
                            </div>
                            <div class="font-500 text-sl">
                                Created at :<?php echo e(isset($arrItem->created_at) ? $arrItem->created_at : ''); ?>

                            </div>
                            <div class="font-500 text-sl">
                                User : <?php echo e(isset($arrItem->product->seller->name) ? $arrItem->product->seller->name : ''); ?>

                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </div>

        <div class="w-full col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="font-bold text-l">Top 5 Added Stock (7 days)</div>
                </div>
            </div>

            <?php
                $i = 0
            ?>
            <?php if(isset($latest_stock)): ?>
                <?php $__currentLoopData = $latest_stock; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $addItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($addItem->str_in_out=='Add'): ?>
                        <div class="flex flex-row w-full bg-white shadow-sm rounded p-4 mt-4">
                            <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                                <?php if(isset($addItem->product->image)): ?>
                                    <img class="w-1/2" src="<?php echo e(isset($addItem->product->image) && file_exists(public_path($addItem->product->image)) ? asset($addItem->product->image) : asset('No-Image-Found.png')); ?>">
                                <?php endif; ?>
                            </div>
                            <div class="flex flex-col justify-center flex-grow ml-4">
                                <div class="text-gray-700"><?php echo e($addItem->product->part_name); ?>  </div>
                                <div class="text-blue-600">
                                    <?php if(isset($addItem->product->part_no)): ?>
                                        <?php echo e($addItem->product->part_no); ?>

                                    <?php endif; ?>
                                </div>
                                <div class="text-sl">
                                    Qty:
                                    <span class="font-bold">
                                        <?php if(isset($addItem->main_stock->quantity)): ?><?php echo e($addItem->main_stock->quantity); ?> 
                                        <?php endif; ?>
                                        (+<?php echo e($addItem->quantity); ?>)</span>
                                </div>
                                <div class="font-500 text-sl">
                                    Created at :<?php echo e(date("Y-m-d H:i:s", strtotime($addItem->date))); ?>

                                </div>
                                <div class="font-500 text-sl">
                                    User : <?php echo e(isset($addItem->seller->name) ? $addItem->seller->name : ''); ?>

                                </div>
                            </div>
                        </div>
                        <?php
                            $i++;
                            if($i==5) break;
                        ?>
                    <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </div>

        <div class="w-full col-span-12 md:col-span-4">
            <div class="flex flex-row w-full bg-white shadow-sm rounded p-4">
                <div class="flex flex-col justify-center flex-grow ml-4">
                    <div class="font-bold text-l">Top 5 Removed Stock (7 days)</div>
                </div>
            </div>
            <?php
                $i = 0
            ?>
            <?php if(isset($latest_stock)): ?>
                <?php $__currentLoopData = $latest_stock; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $removeItem): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($removeItem->str_in_out=='Remove'): ?>
                        <div class="flex flex-row w-full bg-white shadow-sm rounded p-4 mt-4">
                            <div class="flex items-center justify-center flex-shrink-0 h-16 w-16 rounded-xl bg-blue-100 text-blue-500">
                                <?php if(isset($removeItem->product->image)): ?>
                                    <img class="w-1/2" src="<?php echo e(isset($removeItem->product->image) && file_exists(public_path($removeItem->product->image)) ? asset($removeItem->product->image) : asset('No-Image-Found.png')); ?>">
                                <?php endif; ?>
                            </div>
                            <div class="flex flex-col justify-center flex-grow ml-4">
                                <div class="text-gray-700"><?php echo e($removeItem->product->part_name); ?>  </div>
                                <div class="text-blue-600">
                                    <?php if(isset($removeItem->product->part_no)): ?>
                                        <?php echo e($removeItem->product->part_no); ?>

                                    <?php endif; ?>
                                </div>
                                <div class="text-sl">
                                    Qty:
                                    <span class="font-bold">
                                        <?php if(isset($removeItem->main_stock->quantity)): ?><?php echo e($removeItem->main_stock->quantity); ?> 
                                        <?php endif; ?>
                                        (-<?php echo e($removeItem->quantity); ?>)</span>
                                </div>
                                <div class="font-500 text-sl">
                                    Created at :<?php echo e(date("Y-m-d H:i:s", strtotime($removeItem->date))); ?>

                                </div>
                                <div class="font-500 text-sl">
                                    User : <?php echo e(isset($removeItem->seller->name) ? $removeItem->seller->name : ''); ?>

                                </div>
                            </div>
                        </div>
                        <?php
                            $i++;
                            if($i==5) break;
                        ?>
                    <?php endif; ?>

                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>
        </div>
    <?php endif; ?>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/apexcharts/3.27.1/apexcharts.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
    <?php if(isset($data_add_to_stock) || isset($data_remove_from_stock)): ?>
        <script type="text/javascript">
            window.Apex = {
                chart: {
                    foreColor: "#222",
                    toolbar: {
                        show: false
                    }
                },
                colors: [ "#17ead9", "#f1bcbc","#f02fc2"],
                stroke: {
                    width: 3
                },
                dataLabels: {
                    enabled: true
                },
                grid: {
                    borderColor: "#40475D"
                },
                xaxis: {
                    labels: {
                        datetimeUTC: false
                    },
                    axisTicks: {
                        color: "#333"
                    },
                    axisBorder: {
                        color: "#333"
                    }
                },
                fill: {
                    type: "gradient",
                    gradient: {
                        gradientToColors: ["#fff", "#fff", "#fff"]
                    }
                },
                tooltip: {
                    theme: "dark",
                    x: {
                        formatter: function (val) {
                            return moment(val);
                        }
                    }
                },
                yaxis: {
                    decimalsInFloat: 0,
                    opposite: true,
                    labels: {
                        offsetX: -10
                    }
                }
            };

            var options = {
                series: [{
                    name: 'Add',
                    data: [
                        <?php echo e($data_add_to_stock[0]); ?>,
                        <?php echo e($data_add_to_stock[1]); ?>,
                        <?php echo e($data_add_to_stock[2]); ?>,
                        <?php echo e($data_add_to_stock[3]); ?>,
                        <?php echo e($data_add_to_stock[4]); ?>,
                        <?php echo e($data_add_to_stock[5]); ?>,
                        <?php echo e($data_add_to_stock[6]); ?>,
                        <?php echo e($data_add_to_stock[7]); ?>,
                        <?php echo e($data_add_to_stock[8]); ?>,
                        <?php echo e($data_add_to_stock[9]); ?>,
                        <?php echo e($data_add_to_stock[10]); ?>,
                        <?php echo e($data_add_to_stock[11]); ?>,
                        <?php echo e($data_add_to_stock[12]); ?>,
                        <?php echo e($data_add_to_stock[13]); ?>,
                        <?php echo e($data_add_to_stock[14]); ?>,
                        <?php echo e($data_add_to_stock[15]); ?>,
                        <?php echo e($data_add_to_stock[16]); ?>,
                        <?php echo e($data_add_to_stock[17]); ?>,
                        <?php echo e($data_add_to_stock[18]); ?>,
                        <?php echo e($data_add_to_stock[19]); ?>,
                        <?php echo e($data_add_to_stock[20]); ?>,
                        <?php echo e($data_add_to_stock[21]); ?>,
                        <?php echo e($data_add_to_stock[22]); ?>,
                        <?php echo e($data_add_to_stock[23]); ?>


                    ]
                }, {
                    name: 'Remove',
                    data: [
                        <?php echo e($data_remove_from_stock[0]); ?>,
                        <?php echo e($data_remove_from_stock[1]); ?>,
                        <?php echo e($data_remove_from_stock[2]); ?>,
                        <?php echo e($data_remove_from_stock[3]); ?>,
                        <?php echo e($data_remove_from_stock[4]); ?>,
                        <?php echo e($data_remove_from_stock[5]); ?>,
                        <?php echo e($data_remove_from_stock[6]); ?>,
                        <?php echo e($data_remove_from_stock[7]); ?>,
                        <?php echo e($data_remove_from_stock[8]); ?>,
                        <?php echo e($data_remove_from_stock[9]); ?>,
                        <?php echo e($data_remove_from_stock[10]); ?>,
                        <?php echo e($data_remove_from_stock[11]); ?>,
                        <?php echo e($data_remove_from_stock[12]); ?>,
                        <?php echo e($data_remove_from_stock[13]); ?>,
                        <?php echo e($data_remove_from_stock[14]); ?>,
                        <?php echo e($data_remove_from_stock[15]); ?>,
                        <?php echo e($data_remove_from_stock[16]); ?>,
                        <?php echo e($data_remove_from_stock[17]); ?>,
                        <?php echo e($data_remove_from_stock[18]); ?>,
                        <?php echo e($data_remove_from_stock[19]); ?>,
                        <?php echo e($data_remove_from_stock[20]); ?>,
                        <?php echo e($data_remove_from_stock[21]); ?>,
                        <?php echo e($data_remove_from_stock[22]); ?>,
                        <?php echo e($data_remove_from_stock[23]); ?>

                    ]
                }],
                chart: {
                    height: 520,
                    type: 'area'
                },
                dataLabels: {
                    enabled: false
                },
                stroke: {
                    curve: 'smooth'
                },


                xaxis: {
                    type: 'datetime',
                    categories: [
                        "<?php echo e($arr_date[0]); ?>",
                        "<?php echo e($arr_date[1]); ?>",
                        "<?php echo e($arr_date[2]); ?>",
                        "<?php echo e($arr_date[3]); ?>",
                        "<?php echo e($arr_date[4]); ?>",
                        "<?php echo e($arr_date[5]); ?>",
                        "<?php echo e($arr_date[6]); ?>",
                        "<?php echo e($arr_date[7]); ?>",
                        "<?php echo e($arr_date[8]); ?>",
                        "<?php echo e($arr_date[9]); ?>",
                        "<?php echo e($arr_date[10]); ?>",
                        "<?php echo e($arr_date[11]); ?>",
                        "<?php echo e($arr_date[12]); ?>",
                        "<?php echo e($arr_date[13]); ?>",
                        "<?php echo e($arr_date[14]); ?>",
                        "<?php echo e($arr_date[15]); ?>",
                        "<?php echo e($arr_date[16]); ?>",
                        "<?php echo e($arr_date[17]); ?>",
                        "<?php echo e($arr_date[18]); ?>",
                        "<?php echo e($arr_date[19]); ?>",
                        "<?php echo e($arr_date[20]); ?>",
                        "<?php echo e($arr_date[21]); ?>",
                        "<?php echo e($arr_date[22]); ?>",
                        "<?php echo e($arr_date[23]); ?>",
                    ]
                },

                tooltip: {
                    theme: "dark",
                    x: {
                        formatter: function (val) {
                            return moment(new Date(val)).format("HH:mm:ss");
                        }
                    }
                },

                title: {
                    text: "Daily Stock ",
                    align: "left",
                    style: {
                        fontSize: "12px"
                    }
                },
                subtitle: {
                    text: "Quantity",
                    floating: true,
                    align: "right",
                    offsetY: 0,
                    style: {
                        fontSize: "22px"
                    }
                },
                legend: {
                    show: true,
                    floating: true,
                    horizontalAlign: "left",
                    onItemClick: {
                        toggleDataSeries: false
                    },
                    position: "top",
                    offsetY: -33,
                    offsetX: 60
                }
            };
            var chart = new ApexCharts(document.querySelector("#lineChartContainer"), options);
            chart.render();

        </script>
    <?php endif; ?>
 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da)): ?>
<?php $component = $__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da; ?>
<?php unset($__componentOriginal8e2ce59650f81721f93fef32250174d77c3531da); ?>
<?php endif; ?>
<?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/seller/dashboard.blade.php ENDPATH**/ ?>