<div id="__report-product-wise" class="nav justify-content-center grid grid-cols-1">
    <div class="flex flex-row items-center justify-between mb-2">
        <h2 class="block whitespace-nowrap text-green-500 text-base font-bold">
            Profit Per Category
        </h2>
        <hr class="w-full ml-3 relative -top-1 border border-r-0 border-b-0 border-l-0 border-yellow-300">
    </div>

    <table class="summary">
        <thead>
            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <th style="width:25%;background-color: #173956;color: #fff;" class="text-center">Category</th>
                <th style="width:25%;background-color: #173956;color: #fff;" class="text-center">Sale's Price</th>
                <th style="width:25%;background-color: #173956;color: #fff;" class="text-center">Cost Price</th>
                <th style="width:25%;background-color: #173956;color: #fff;" class="text-center">Profit</th>
            </tr>
        </thead>
        <tbody>
            <?php if($saleDetails): ?>
            <?php
            $total_cost_price=0;
            $total_sales_price=0;
            $discountTotal=0;
            $total_profit=0;
            ?>
            <?php $__currentLoopData = $saleDetails; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <th style="background-color: #b7b9a1;color:#333;" class="text-center"><?php echo e($row->cat_name); ?></th>
                <td style="background-color: #b7b9a1;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($row->totalPrice-$row->totalDiscount)); ?></td>
                <td style="background: #bf9176;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($row->totalCostPrice)); ?></td>
                <td style="background: #68adb1;" class="text-center">
                    <?php echo e(App\Http\Controllers\SettingController::takaBDFormat(($row->totalPrice-$row->totalDiscount-$row->totalCostPrice))); ?></td>
            </tr>
            <?php
            $total_cost_price += $row->totalCostPrice;
            $total_sales_price += $row->totalPrice;
            $discountTotal += $row->totalDiscount;
            $total_profit += $row->totalPrice-$row->totalDiscount-$row->totalCostPrice;
            ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background-color: #5aab6b;color:#333;"> Category Profit Total</td>
                <td style="background: #5aab6b;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($total_sales_price-$discountTotal)); ?></td>
                <td style="background: #5aab6b;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($total_cost_price)); ?></td>
                <td style="background: #5aab6b;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($total_profit)); ?></td>
            </tr>

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background-color: #5aab6b;color:#333;font-weight: 600;" colspan=3> Services Total</td>
                <td style="background: #5aab6b;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($servicesTotal)); ?></td>
            </tr>

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background-color: #5aab6b;color:#333;font-weight: 600;" colspan=3> Coupons Total</td>
                <td style="background: #5aab6b;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($totalCoupon)); ?></td>
            </tr>

            

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background: #358346;color: #333;font-weight: 600;" colspan=3> Total Profit+Service+Coupon</td>
                <td style="background: #358346;color: #333;font-weight: 600;" class="text-center">
                    <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($total_profit+$servicesTotal+$totalCoupon)); ?></td>
            </tr>

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background-color: #f76148;font-weight: 600;" colspan=3> Total Rent Paid</td>
                <td style="background: #f76148;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($totalRentPaid)); ?></td>
            </tr>

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background-color: #f76148;color:#333;font-weight: 600;" colspan=3> Total Expense</td>
                <td style="background: #f76148;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($totalExpense)); ?></td>
            </tr>

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background-color: #f76148;color:#333;font-weight: 600;" colspan=3> Total Salary</td>
                <td style="background: #f76148;font-weight: 600;" class="text-center"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($totalSalary)); ?></td>
            </tr>

            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background-color: #7a1606;color: #fff;font-weight: 600;" colspan=3> Grand Total Paid</td>

                <td style="background-color: #7a1606;color: #fff;font-weight: 600;" class="text-center">
                    <?php echo e(App\Http\Controllers\SettingController::takaBDFormat(($totalRentPaid+$totalExpense+$totalSalary))); ?></td>
            </tr>




            <tr class="nav-item border border-solid border-gray-300 rounded-md">
                <td style="background: #020426;color: #a39696;font-weight: 600;" colspan=1> Net Profit</td>
                <?php
                $receiveTotal = $total_profit+$servicesTotal+$totalCoupon;
                $paidTotal = $totalRentPaid+$totalExpense+$totalSalary;
                ?>
                <td style="background: #020426;color: #a39696;text-align:right;font-weight: 600;" colspan=2>
                    <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($receiveTotal)); ?> - <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($paidTotal)); ?> =</td>


                <td style="background: #020426;color: #a39696;font-weight: 600;" class="text-center">
                    <?php echo e(App\Http\Controllers\SettingController::takaBDFormat($receiveTotal-$paidTotal)); ?></td>
            </tr>

        </tbody>
    </table>
</div><?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/seller/report/ajax-profit-category.blade.php ENDPATH**/ ?>