<div class="w-full sm:col-span-1 lg:col-span-4 grid grid-cols-1 lg:grid-cols-1 gap-4 sm:gap-x-8 px-5 sm:mx-auto">


    <div class="nav justify-content-center grid grid-cols-1">
        <span class="mb-2">Loan and Payments Details</span>
        <table class="summary">

        @if($lender_details)
        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td colspan=2 class="cash"><strong>Lender Name :</strong> {{$lender_details->lender_name}} &nbsp; | &nbsp;<strong>Phone :</strong> {{$lender_details->phone}} &nbsp; | &nbsp; <strong>Address :</strong> {{$lender_details->address}}</td>
        </tr>
        @endif

        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td style="width:10%" class="text-right"><strong>Total Receive Amount</strong></td>
            <td style="width:10%" class="text-right"><strong>{{App\Http\Controllers\SettingController::takaBDFormat($receives->total)}}</strong></td>
        </tr>

        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td style="width:10%" class="text-right"><strong>Total Paid</strong></td>
            <td style="width:10%" class="text-right"><strong>{{App\Http\Controllers\SettingController::takaBDFormat($payments->total)}}</strong></td>
        </tr>

        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td style="width:10%" class="cash text-right"><strong>Total Due</strong></td>
            <td style="width:10%" class="cash text-right"><strong>{{App\Http\Controllers\SettingController::takaBDFormat($receives->total-$payments->total)}}</strong></td>
        </tr>
        </table>
    </div>
</div>
