<?php echo csrf_field(); ?>
<input type="hidden" name='id' value='<?php echo e($payment->id); ?>'>
<input type="hidden" name='type' value='<?php echo e($payment->type); ?>'>
<link rel="stylesheet" href="<?php echo e(asset('chosen/chosen.css')); ?>">
<div class="px-5 py-4">
    <div class="text-sm">
        <div id='msg-success' class="font-medium text-green-700  dark:text-green-700 mb-3">
        </div>
        <ul id="error-list" class="text-red-500 mb-3"></ul>
    </div>

    <div class="space-y-3">
        <div class="flex flex-wrap items-center space-x-3">
            <div class="shadow-sm rounded-xl">
                <label class="block text-sm font-medium mb-1" for="payment_date">Payment Date</label>
                <input type="text" id="payment_date" class="form-input datepicker-1 w-full" name="payment_date"
                    placeholder="Enter Payment Date" value="<?php echo e($payment->payment_date); ?>" autocomplete="off" />
            </div>
            <!-- Select -->
            <div class="">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?><?php echo e(__('translation.Supplier')); ?><?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <select name="supplier_id" id="supplier_id" class="supplier chosen-select form-select w-full">
                    <option value="">Select Supplier</option>
                        <?php if($suppliers): ?>
                            <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php if($payment->supplier_id==$supplier->id): ?> selected <?php endif; ?> value="<?php echo e($supplier->id); ?>">
                                    <?php echo e($supplier->supplier_name); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                </select>
            </div>
        </div>

        <div class="w-full grid gap-5 md:grid-cols-3">
        <div class="w-full">
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                        <?php echo e(__('translation.Payment Method')); ?>

                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>

                    <select id="__payment_method" class="form-select chosen-select w-full" name="payment_method_id">
                        <option disabled selected value="0">
                            - <?php echo e(__('translation.Payment Method')); ?> -
                        </option>
                        <?php if($payment_methods): ?>
                            <?php $__currentLoopData = $payment_methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $pm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php if($payment->payment_method_id==$pm->id): ?> selected <?php endif; ?>  value="<?php echo e($pm->id); ?>"><?php echo e($pm->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </select>
                </div>

                <div id="_bankOrMobileDetailsWrapper" class="w-full">
                    <?php if($payment->bank_or_mobile_wallet_id): ?>
                        <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>Bank/Mobile Account <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        <select class='form-select chosen-select w-full px-2' id="bank_or_mobile_wallet_id" name="bank_or_mobile_wallet_id">
                            <option></option>

                            <?php if(isset($banks_or_mobiles)): ?>
                                <?php $__currentLoopData = $banks_or_mobiles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($payment->bank_or_mobile_wallet_id==$item->id): ?> selected <?php endif; ?> value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                        </select>
                    <?php endif; ?>
                </div>

                <div id="_AccountNoWrapper" class="w-full">
                <?php if($payment->bank_or_mobile_wallet_id): ?>
                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>Account No <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                    <select id="account_no_id" name="account_no_id" class='form-select chosen-select w-full px-2'>
                        <option></option>

                        <?php if(isset($accounts)): ?>
                            <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($item->id); ?>" <?php if($payment->account_no_id==$item->id): ?> selected <?php endif; ?>><?php echo e($item->account_no); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </select>
                <?php endif; ?>
            </div>
        </div>

        <div id="__ajaxFormLoad" class="mt-4 flex flex-wrap items-center space-y-3">
               
            </div>

            
            <?php if($payment->supplier_id): ?>
                <!-- <div class="flex justify-left space-x-4 inline-flex items-center justify-center text-sm font-medium leading-5 rounded px-3 py-1 border border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 shadow-sm bg-red-500/20 text-red-700 transition">
                    <div>
                        <label class="block text-sm font-medium" for="unit_id"><?php echo e(__('translation.Total Due')); ?></label>
                    </div>
                    <div class="font-bold text-black-500" id="__previousDue"> 0.00</div>
                </div> -->
            <?php endif; ?>

            <div class="w-full">
                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => []]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                    <?php echo e(__('translation.Paid')); ?>

                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                <input type="text" class='w-full form-input' autocomplete="off" onclick="this.select()" name="fake-paid" id="fake-paid" value="<?php echo e(App\Http\Controllers\SettingController::takaBDFormat($payment->paid)); ?>">
                <input type="hidden" class='w-full form-input' name="paid" id="paid" value="<?php echo e($payment->paid); ?>">
                <div class="mt-4"><strong>Taka In Word:</strong> <span id="takaInWord"></span></div>
            </div>
        </div>

        <div class='mt-2'>
            <label class="block text-sm font-medium mb-1" for="unit_id">Note</label>
            <textarea class="form-textarea w-full p-5" name="notes"><?php echo e($payment->notes); ?></textarea>
        </div>

    </div>
</div>
<!-- Modal footer -->
<div class="px-5 py-4 border-t border-gray-200 dark:border-gray-700/60">
    <div class="flex flex-wrap justify-end space-x-2">
        <button
            class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
        <button type="submit"
            class="btn-sm bg-gray-900 text-gray-100 hover:bg-gray-800 dark:bg-gray-100 dark:text-gray-800 dark:hover:bg-white">Save</button>
    </div>
</div>



<script>

$(".chosen-select").chosen({no_results_text: "Oops, nothing found!"}); 

$(".datepicker-1").datepicker({
    dateFormat: 'dd-mm-yy'
});



var loadDuePayment = (supplier_id = '') => {
    $.ajax({
        url: '<?php echo e(route('supplier-due')); ?>',
        type: 'post',
        data: {
            'supplier_id': supplier_id,
            '_token': $('meta[name=csrf-token]').attr('content')
        }
    }).done(function(result) {
        $('#__previousDue').html(result);
    });
}

loadDuePayment($('#supplier_id').val());

$('#supplier_id').change(function() {
    loadDuePayment($(this).val());
});

$(document).on('keyup', '#fake-paid', function(event) {
    var input_val = $(this).val();
    input_val = numberToCurrency(input_val);
    $(this).val(input_val);
    var withoutComma = $(this).val().replace(/,/g, "");
    $('#paid').val(withoutComma);
    $('#takaInWord').moneyinwords(withoutComma, 'US', 'USD');
});

$('#__btnSubmitPayment').addClass('hidden');




$('#__payment_method').change(function() {
            if($(this).val()=='1'){
                $("#bank_or_mobile_wallet_id").val('');
                $("#_AccountNoWrapper").html('');
                $("#account_no_id").val('');
                
            }
            $.ajax({
                url: '<?php echo e(route('load-bank-or-mobile-dropdown')); ?>',
                type: 'post',
                data: {
                    'id': $(this).val(),
                    '_token': $('meta[name=csrf-token]').attr('content')
                }
            }).done(function(result) {
                $('#_bankOrMobileDetailsWrapper').html(result);       
            });

        });


$('#bank_or_mobile_wallet_id').on('change', function() {
    $.ajax({
        url: '<?php echo e(route('load-bank-or-mobile-account-dropdown')); ?>',
        type: 'post',
        data: {
            'bank_or_mobile_wallet_id': $(this).val(),
            '_token': $('meta[name=csrf-token]').attr('content')
        }
    }).done(function(result) {
        $('#_AccountNoWrapper').html(result);
    });
});
</script><?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/seller/payments/modal-templates/edit/supplier.blade.php ENDPATH**/ ?>