
<div id="message"></div>
<?php echo csrf_field(); ?>
<input type="hidden" name="id" value="<?php echo e($expense->id); ?>" id="id" />

<div class="p-5 flex space-x-4" id="msg-success">
    <!-- Icon -->
    <div class="w-10 h-10 rounded-full flex items-center justify-center shrink-0 bg-gray-100 dark:bg-gray-700">
        <svg class="shrink-0 fill-current text-red-500" width="16" height="16" viewBox="0 0 16 16">
            <path d="M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 12c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1zm1-3H7V4h2v5z" />
        </svg>
    </div>

    <!-- Content -->
    <div>
        <!-- Modal header -->
        <div class="mb-2">
            <div class="text-lg font-semibold text-gray-800 dark:text-gray-100">Delete This Entry ?</div>
        </div>
        <!-- Modal content -->

        <div class="mb-3 last:mb-0">
            <ul class="text-sm">
                <li>
                    <span class="flex items-center p-2 text-gray-800 dark:text-gray-100 hover:bg-gray-100 dark:hover:bg-gray-700/20 rounded-lg" @click="searchOpen = false" @focus="searchOpen = true" @focusout="searchOpen = false">
                        <svg class="fill-current text-gray-400 dark:text-gray-500 shrink-0 mr-3" width="16" height="16" viewBox="0 0 16 16">
                            <path d="M14 0H2c-.6 0-1 .4-1 1v14c0 .6.4 1 1 1h8l5-5V1c0-.6-.4-1-1-1zM3 2h10v8H9v4H3V2z"></path>
                        </svg>

                        <span>
                            <span class="font-medium">Date :</span> &nbsp; 
                            <span class="text-gray-600 dark:text-gray-400"><?php echo e($expense->entry_date); ?></span>
                        </span> &nbsp; &nbsp;
                    </span>
                </li>

                <li>
                    <span class="flex items-center p-2 text-gray-800 dark:text-gray-100 hover:bg-gray-100 dark:hover:bg-gray-700/20 rounded-lg" @click="searchOpen = false" @focus="searchOpen = true" @focusout="searchOpen = false">
                        <svg class="fill-current text-gray-400 dark:text-gray-500 shrink-0 mr-3" width="16" height="16" viewBox="0 0 16 16">
                            <path d="M14 0H2c-.6 0-1 .4-1 1v14c0 .6.4 1 1 1h8l5-5V1c0-.6-.4-1-1-1zM3 2h10v8H9v4H3V2z"></path>
                        </svg>
                        <span><span class="font-medium">Amount :</span> &nbsp; <span class="text-gray-600 dark:text-gray-400"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($expense->total)); ?></span></span>
                    </span>
                </li>
            </ul>

             </div>

             <table id="__expenseTable" class="table table-striped w-full">
                    <thead>
                    <tr> 
                        <th class="text-left">Name</th>           
                        <th class="text-center" style="width: 100px;">Amount<span class="currency">(৳)</span></th>
                    </tr>
                    </thead>
                    <tbody>
                        <?php if($expense->expense_details): ?>
                            <?php $__currentLoopData = $expense->expense_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>

                                    <td class="text-left"><?php echo e($item->name); ?></td>

                                    <td class="text-right"><?php echo e($item->amount); ?></td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </tbody>

                </table>

       
        <div class="text-sm mt-5 mb-10">
            <div class="space-y-2 text-gray-600 dark:text-gray-400">
                <p>If you confirm then it will be removed.</p>
            </div>
        </div>                                   

        <!-- Modal footer -->
        <div class="flex flex-wrap justify-end space-x-2">
            <button type="button" class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
            <button type="submit" class="btn-sm bg-red-500 hover:bg-red-600 text-white">Yes, Delete it</button>
        </div>
    </div>
</div>
            
<script>
    $(".datepicker-1").datepicker({
    dateFormat: 'dd-mm-yy'
}); 
</script><?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/seller/expenses/modal-templates/delete.blade.php ENDPATH**/ ?>