<div class="w-full sm:col-span-1 lg:col-span-4 grid grid-cols-1 lg:grid-cols-1 gap-4 sm:gap-x-8 px-5 sm:mx-auto">

    <div class="nav justify-content-center grid grid-cols-1">
        <span class="mb-2">Sales and Payments Details</span>


        <table class="summary">

        <?php if($supplier_details): ?>
        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td colspan=2 class="cash"><strong>Supplier Name :</strong> <?php echo e($supplier_details->supplier_name); ?> &nbsp; | &nbsp;<strong>Phone :</strong> <?php echo e($supplier_details->phone); ?> &nbsp; | &nbsp; <strong>Address :</strong> <?php echo e($supplier_details->address); ?></td>
        </tr>
        <?php endif; ?>

        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td style="width:10%" class="text-right"><strong>Total Purchase's Amount</strong></td>
            <td style="width:10%" class="text-right"><strong><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($purchases->total)); ?></strong></td>
        </tr>

        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td style="width:10%" class="text-right"><strong>Total Paid</strong></td>
            <td style="width:10%" class="text-right"><strong><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($payments->total)); ?></strong></td>
        </tr>

        <tr class="grand_total nav-item border border-solid border-gray-300 rounded-md bg-green-200">
            <td style="width:10%" class="cash text-right"><strong>Total Due</strong></td>
            <td style="width:10%" class="cash text-right"><strong><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($purchases->total-$payments->total)); ?></strong></td>
        </tr>
        
        </table>
    </div>
</div>
<?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/seller/report/supplier/ajax-supplier-summary.blade.php ENDPATH**/ ?>