
<div id="message"></div>
<?php echo csrf_field(); ?>
<input type="hidden" name="id" value="<?php echo e($payment->id); ?>" id="id" />

<div class="p-5 flex space-x-4" id="msg-success">
    <!-- Icon -->
    <div class="w-10 h-10 rounded-full flex items-center justify-center shrink-0 bg-gray-100 dark:bg-gray-700">
        <svg class="shrink-0 fill-current text-red-500" width="16" height="16" viewBox="0 0 16 16">
            <path d="M8 0C3.6 0 0 3.6 0 8s3.6 8 8 8 8-3.6 8-8-3.6-8-8-8zm0 12c-.6 0-1-.4-1-1s.4-1 1-1 1 .4 1 1-.4 1-1 1zm1-3H7V4h2v5z" />
        </svg>
    </div>

    <!-- Content -->
    <div>
        <!-- Modal header -->
        <div class="mb-2">
            <div class="text-lg font-semibold text-gray-800 dark:text-gray-100">Delete This Entry ?</div>
        </div>
        <!-- Modal content -->

        <div class="mb-3 last:mb-0">
            <ul class="text-sm">
                <li>
                    <span class="flex items-center p-2 text-gray-800 dark:text-gray-100 hover:bg-gray-100 dark:hover:bg-gray-700/20 rounded-lg" @click="searchOpen = false" @focus="searchOpen = true" @focusout="searchOpen = false">
                        <svg class="fill-current text-gray-400 dark:text-gray-500 shrink-0 mr-3" width="16" height="16" viewBox="0 0 16 16">
                            <path d="M14 0H2c-.6 0-1 .4-1 1v14c0 .6.4 1 1 1h8l5-5V1c0-.6-.4-1-1-1zM3 2h10v8H9v4H3V2z"></path>
                        </svg>

                        <span>
                            <span class="font-medium">Type :</span> &nbsp; 
                            <span class="text-gray-600 dark:text-gray-400"><?php echo e($payment->type); ?></span>
                        </span> &nbsp; &nbsp;
                        
                        <?php if($payment->customer): ?>
                        <span>
                            <span class="font-medium">Customer Name :</span> &nbsp; 
                            <span class="text-gray-600 dark:text-gray-400"><?php echo e($payment->customer->customer_name); ?></span>
                        </span> &nbsp; &nbsp;
                        <?php endif; ?>

                        <?php if($payment->lender): ?>
                        <span>
                            <span class="font-medium">Lender Name :</span> &nbsp; 
                            <span class="text-gray-600 dark:text-gray-400"><?php echo e($payment->lender->lender_name); ?></span>
                        </span> &nbsp; &nbsp;
                        <?php endif; ?>

                        <?php if($payment->mobileOrBank): ?>
                        <span>
                            <span class="font-medium">Bank/Mobile :</span> &nbsp; 
                            <span class="text-gray-600 dark:text-gray-400"><?php echo e($payment->mobileOrBank->name); ?></span>
                        </span> &nbsp; &nbsp;
                        <?php endif; ?>

                    </span>
                </li>

                <li>
                    <span class="flex items-center p-2 text-gray-800 dark:text-gray-100 hover:bg-gray-100 dark:hover:bg-gray-700/20 rounded-lg" @click="searchOpen = false" @focus="searchOpen = true" @focusout="searchOpen = false">
                        <svg class="fill-current text-gray-400 dark:text-gray-500 shrink-0 mr-3" width="16" height="16" viewBox="0 0 16 16">
                            <path d="M14 0H2c-.6 0-1 .4-1 1v14c0 .6.4 1 1 1h8l5-5V1c0-.6-.4-1-1-1zM3 2h10v8H9v4H3V2z"></path>
                        </svg>
                        <span><span class="font-medium">Amount :</span> &nbsp; <span class="text-gray-600 dark:text-gray-400"><?php echo e(App\Http\Controllers\SettingController::takaBDFormat($payment->paid)); ?></span></span>
                    </span>
                </li>
            </ul>
        </div>
        <div class="text-sm mb-10">
            <div class="space-y-2 text-gray-600 dark:text-gray-400">
                <p>If you confirm then it will be removed.</p>
            </div>
        </div>                                   

        <!-- Modal footer -->
        <div class="flex flex-wrap justify-end space-x-2">
            <button type="button" class="__closeModal btn-sm border-gray-200 dark:border-gray-700/60 hover:border-gray-300 dark:hover:border-gray-600 text-gray-800 dark:text-gray-300">Cancel</button>
            <button type="submit" class="btn-sm bg-red-500 hover:bg-red-600 text-white">Yes, Delete it</button>
        </div>
    </div>
</div>
            
<script>
    $(".datepicker-1").datepicker({
    dateFormat: 'dd-mm-yy'
}); 
</script><?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/seller/payments/modal-templates/delete.blade.php ENDPATH**/ ?>