

<?php $__env->startSection('title'); ?>
    <?php echo e(__('translation.Register')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('top_css'); ?>
<style type="text/css">
    @media  screen and (max-width: 600px) {
        .logo_main {
            width: 50%;
            margin-bottom: 25px;
        }

        .col-lg-6 {
            margin-bottom: 8px;
        }

        .username_2nd {
            width: 50%;
            float: left;
            margin-bottom: 8px;
        }

        .username_1st {
            width: 50%;
            float: left;
            margin-bottom: 20px;
        }
    }
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
    <div class="flex justify-center mb-4">
        <img class="w-2/5 sm:w-40 h-auto" src="<?php echo e(asset('img/dodoselect.png')); ?>" alt="<?php echo e(config('app.name')); ?>">
    </div>
    <div class="w-4/5 sm:max-w-xs md:max-w-xl mx-auto">
        <?php if (isset($component)) { $__componentOriginal0230db54edb8f0edb26cd50d591a2e4cee718ad3 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Card\CardDefault::class, []); ?>
<?php $component->withName('card.card-default'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
            <?php if (isset($component)) { $__componentOriginal1d9f8c5272338a53db907bfce542b70eca4c3d91 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Card\Header::class, []); ?>
<?php $component->withName('card.header'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                <?php if (isset($component)) { $__componentOriginalee778cde217e0fa2d4cc2e0c2e278d8d1fb1e075 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Card\Title::class, []); ?>
<?php $component->withName('card.title'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['class' => 'px-4 pt-2']); ?>
                    <?php echo e(__('translation.Register')); ?>

                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalee778cde217e0fa2d4cc2e0c2e278d8d1fb1e075)): ?>
<?php $component = $__componentOriginalee778cde217e0fa2d4cc2e0c2e278d8d1fb1e075; ?>
<?php unset($__componentOriginalee778cde217e0fa2d4cc2e0c2e278d8d1fb1e075); ?>
<?php endif; ?>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal1d9f8c5272338a53db907bfce542b70eca4c3d91)): ?>
<?php $component = $__componentOriginal1d9f8c5272338a53db907bfce542b70eca4c3d91; ?>
<?php unset($__componentOriginal1d9f8c5272338a53db907bfce542b70eca4c3d91); ?>
<?php endif; ?>
            <?php if (isset($component)) { $__componentOriginal1c6e3be98149de0111f7066c97cf75652cd522b4 = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Card\Body::class, []); ?>
<?php $component->withName('card.body'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
                <div class="px-4">
                    <form method="POST" action="<?php echo e(route('register')); ?>">
                        <?php echo csrf_field(); ?>

                        <?php if(session('failed')): ?>
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.alert-danger','data' => ['class' => 'mb-4']]); ?>
<?php $component->withName('alert-danger'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['class' => 'mb-4']); ?><?php echo e(session('failed')); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        <?php endif; ?>

                        <?php if($errors->any()): ?>
                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.alert-danger','data' => ['class' => 'mb-4']]); ?>
<?php $component->withName('alert-danger'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['class' => 'mb-4']); ?>
                                <ul class=" list-disc list-inside text-sm text-red-600">
                                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li><?php echo e($error); ?></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                        <?php endif; ?>

                        <!-- Shop Id -->
                        

                        <div class="mb-10">
                            <div class="flex flex-row items-center justify-between mb-2">
                                <h2 class="block whitespace-nowrap text-gray-600 text-base">
                                    <?php echo e(__('translation.Company Details')); ?>

                                </h2>
                                <hr class="w-full ml-3 border border-r-0 border-b-0 border-l-0 border-gray-50">
                            </div>
                            <div class="grid grid-cols-1 md:grid-cols-2 gap-4 md:gap-x-6">
                                <div>
                                    <div class="flex flex-row items-center justify-between">
                                        <div class="w-1/2">
                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'username']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'username']); ?>
                                                User Name <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                            <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['type' => 'text','name' => 'username','id' => 'username','value' => old('username'),'placeholder' => 'Username','required' => true]]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['type' => 'text','name' => 'username','id' => 'username','value' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(old('username')),'placeholder' => 'Username','required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                        </div>
                                        <div class="w-1/2 ml-2">
                                            <div class="text-right">
                                                <span class="relative top-3">.dodotracking.com</span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'shopname']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'shopname']); ?>
                                        Shop Name <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['type' => 'text','name' => 'name','id' => 'name','value' => old('name'),'placeholder' => 'Enter Your Shop Name','required' => true]]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['type' => 'text','name' => 'name','id' => 'name','value' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(old('name')),'placeholder' => 'Enter Your Shop Name','required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="mb-10">
                            <div class="flex flex-row items-center justify-between mb-3">
                                <h2 class="block whitespace-nowrap text-gray-600 text-base">
                                    <?php echo e(__('translation.Contact Details')); ?>

                                </h2>
                                <hr class="w-full ml-3 border border-r-0 border-b-0 border-l-0 border-gray-50">
                            </div>
                            <div class="grid grid-cols-1 md:grid-cols-2 gap-4 md:gap-x-6">
                                <div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'contactname']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'contactname']); ?>
                                        <?php echo e(__('translation.Contact Name')); ?> <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['id' => 'contactname','class' => 'block mt-1 w-full','placeholder' => 'Contact Name','type' => 'text','name' => 'contactname','value' => old('contactname'),'required' => true]]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['id' => 'contactname','class' => 'block mt-1 w-full','placeholder' => 'Contact Name','type' => 'text','name' => 'contactname','value' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(old('contactname')),'required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                                <div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'phone']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'phone']); ?>
                                        <?php echo e(__('translation.Mobile Number')); ?> <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['id' => 'phone','class' => 'block mt-1 w-full','placeholder' => 'Mobile Number','type' => 'text','name' => 'phone','value' => old('phone'),'required' => true]]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['id' => 'phone','class' => 'block mt-1 w-full','placeholder' => 'Mobile Number','type' => 'text','name' => 'phone','value' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(old('phone')),'required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                                <div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'email']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'email']); ?>
                                        <?php echo e(__('translation.Email')); ?> <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['id' => 'email','class' => 'block mt-1 w-full','placeholder' => 'Email','type' => 'email','name' => 'email','value' => old('email'),'required' => true]]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['id' => 'email','class' => 'block mt-1 w-full','placeholder' => 'Email','type' => 'email','name' => 'email','value' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(old('email')),'required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                                <div class="col-lg-6">
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'lineid']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'lineid']); ?>
                                        <?php echo e(__('translation.Line ID')); ?> <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['id' => 'lineid','class' => 'block mt-1 w-full','placeholder' => 'Line ID','type' => 'text','name' => 'lineid','value' => old('lineid'),'required' => true]]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['id' => 'lineid','class' => 'block mt-1 w-full','placeholder' => 'Line ID','type' => 'text','name' => 'lineid','value' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(old('lineid')),'required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="mb-4">
                            <div class="flex flex-row items-center justify-between mb-2">
                                <h2 class="block whitespace-nowrap text-gray-600 text-base">
                                    <?php echo e(__('translation.Auth Details')); ?>

                                </h2>
                                <hr class="w-full ml-3 border border-r-0 border-b-0 border-l-0 border-gray-50">
                            </div>
                            <div class="grid grid-cols-1 md:grid-cols-2 gap-4 md:gap-x-6">
                                <div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'password']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'password']); ?>
                                        Password <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['id' => 'password','class' => 'block mt-1 w-full','placeholder' => '','type' => 'password','name' => 'password','required' => true,'autocomplete' => 'password']]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['id' => 'password','class' => 'block mt-1 w-full','placeholder' => '','type' => 'password','name' => 'password','required' => true,'autocomplete' => 'password']); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                                <div>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.label','data' => ['for' => 'password_confirmation']]); ?>
<?php $component->withName('label'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['for' => 'password_confirmation']); ?>
                                        Confirm Password <?php if (isset($component)) { $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f = $component; } ?>
<?php $component = $__env->getContainer()->make(App\View\Components\Form\RequiredMark::class, []); ?>
<?php $component->withName('form.required-mark'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f)): ?>
<?php $component = $__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f; ?>
<?php unset($__componentOriginal83e777a30a0979669492f7842e3e5bf2ef3c580f); ?>
<?php endif; ?>
                                     <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                    <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.input','data' => ['id' => 'password_confirmation','class' => 'block mt-1 w-full','type' => 'password','name' => 'password_confirmation','placeholder' => '','required' => true]]); ?>
<?php $component->withName('input'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['id' => 'password_confirmation','class' => 'block mt-1 w-full','type' => 'password','name' => 'password_confirmation','placeholder' => '','required' => true]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                                </div>
                            </div>
                        </div>

                        <div class="mb-4">
                            <label for="remember_me" class="inline-flex items-center">
                                <input type="checkbox" name="remember" id="remember_me" class="rounded border-gray-300 text-indigo-600 shadow-sm focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50" required />
                                <span class="ml-2 text-sm text-gray-600">
                                    <?php echo e(__('translation.I accept the')); ?>

                                </span>
                                <a href="#" class="ml-1 text-blue-600 no-underline hover:underline">
                                    <?php echo e(__('translation.terms and conditions')); ?>

                                </a>.
                            </label>
                        </div>
                        <div class="flex flex-col md:flex-row items-center justify-between mb-4">
                            <div class="order-first md:order-last w-full md:w-1/2 text-right mb-6 md:mb-0">
                                <?php if (isset($component)) { $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4 = $component; } ?>
<?php $component = $__env->getContainer()->make(Illuminate\View\AnonymousComponent::class, ['view' => 'components.button','data' => ['type' => 'submit','color' => 'blue']]); ?>
<?php $component->withName('button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php $component->withAttributes(['type' => 'submit','color' => 'blue']); ?>
                                    <?php echo e(__('translation.Register')); ?>

                                 <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4)): ?>
<?php $component = $__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4; ?>
<?php unset($__componentOriginalc254754b9d5db91d5165876f9d051922ca0066f4); ?>
<?php endif; ?>
                            </div>
                            <div class="order-last md:order-first w-full md:w-1/2">
                                <div class="w-full inline-flex items-center justify-center md:justify-start">
                                    <span class="text-gray-700 mr-2">
                                        Already registered?
                                    </span>
                                    <a href="<?php echo e(route('signin')); ?>" class="no-underline hover:underline text-sm text-blue-600 font-bold">
                                        <?php echo e(__('translation.Sign In')); ?>

                                    </a>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal1c6e3be98149de0111f7066c97cf75652cd522b4)): ?>
<?php $component = $__componentOriginal1c6e3be98149de0111f7066c97cf75652cd522b4; ?>
<?php unset($__componentOriginal1c6e3be98149de0111f7066c97cf75652cd522b4); ?>
<?php endif; ?>
         <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginal0230db54edb8f0edb26cd50d591a2e4cee718ad3)): ?>
<?php $component = $__componentOriginal0230db54edb8f0edb26cd50d591a2e4cee718ad3; ?>
<?php unset($__componentOriginal0230db54edb8f0edb26cd50d591a2e4cee718ad3); ?>
<?php endif; ?>
    </div>
    <div class="mt-5 mb-10">
        <?php echo $__env->make('layouts.footer-lang-switcher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/siyamtrade/public_html/suzuki.siyamtrade.com/resources/views/auth/register.blade.php ENDPATH**/ ?>